Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Class LocationFeatureIterator

    java.lang.Object
      org.ensembl.driver.LocationFeatureIterator

All Implemented Interfaces:
  java.util.Iterator

public class LocationFeatureIterator
extends java.lang.Object
implements java.util.Iterator

Constructor Summary
`LocationFeatureIterator(FeatureAdaptor adaptor, int locationChunkSize, boolean loadChildren, Location location, LocationConverter locationConverter)`

Method Summary
`boolean` | `hasNext()` Returns whether there is another item to be returned via next().
`java.lang.Object` | `next()` Returns the next element in the iteration.
`void` | `remove()` Not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationFeatureIterator

    public LocationFeatureIterator(FeatureAdaptor adaptor,
                                   int locationChunkSize,
                                   boolean loadChildren,
                                   Location location,
                                   LocationConverter locationConverter)

Method Detail

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Not supported.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException` - this method is not supported

### hasNext

    public boolean hasNext()

  Returns whether there is another item to be returned via next().

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if the iterator has another feature.

### next

    public java.lang.Object next()

  Returns the next element in the iteration.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next Feature in the iteration.
  Throws:
    `java.util.NoSuchElementException` - iteration has no more elements.
    `java.lang.RuntimeException` - problem occured reading the data from the database.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD